org.springframework.data.relational.core.sql.render

## Class NamingStrategies

- java.lang.Object
- - org.springframework.data.relational.core.sql.render.NamingStrategies

    public abstract class NamingStrategies
    extends Object

Factory for `RenderNamingStrategy` objects.

Since:
  1.1
Author:
  Mark Paluch

### Method Summary

All Methods Static Methods Concrete Methods
`static RenderNamingStrategy` `asIs()` Creates a as-is `RenderNamingStrategy` that preserves `Column` and `Table` names as they were expressed during their declaration.
`static RenderNamingStrategy` `mapWith(Function<String,String> mappingFunction)` Creates a mapping `RenderNamingStrategy` that applies a `mapping function` to `Column` and `Table` names.
`static RenderNamingStrategy` `toLower()` Creates a mapping `RenderNamingStrategy` that converts `Column` and `Table` names to lower case using the default `Locale`.
`static RenderNamingStrategy` `toLower(Locale locale)` Creates a mapping `RenderNamingStrategy` that converts `Column` and `Table` names to lower case using the given `Locale`.
`static RenderNamingStrategy` `toUpper()` Creates a mapping `RenderNamingStrategy` that converts `Column` and `Table` names to upper case using the default `Locale`.
`static RenderNamingStrategy` `toUpper(Locale locale)` Creates a mapping `RenderNamingStrategy` that converts `Column` and `Table` names to upper case using the given `Locale`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### asIs

    public static RenderNamingStrategy asIs()

Creates a as-is `RenderNamingStrategy` that preserves `Column` and `Table` names as they were expressed during their declaration.

Returns:
  as-is `RenderNamingStrategy`.

#### mapWith

    public static RenderNamingStrategy mapWith(Function<String,String> mappingFunction)

Creates a mapping `RenderNamingStrategy` that applies a `mapping function` to `Column` and `Table` names.

Parameters:
  `mappingFunction` - the mapping `Function`, must not be null.
Returns:
  the mapping `RenderNamingStrategy`.

#### toUpper

    public static RenderNamingStrategy toUpper()

Creates a mapping `RenderNamingStrategy` that converts `Column` and `Table` names to upper case using the default `Locale`.

Returns:
  upper-casing `RenderNamingStrategy`.
See Also:
  `String.toUpperCase()`, `Locale`

#### toUpper

    public static RenderNamingStrategy toUpper(Locale locale)

Creates a mapping `RenderNamingStrategy` that converts `Column` and `Table` names to upper case using the given `Locale`.

Parameters:
  `locale` - the locale to use.
Returns:
  upper-casing `RenderNamingStrategy`.
See Also:
  `String.toUpperCase(Locale)`

#### toLower

    public static RenderNamingStrategy toLower()

Creates a mapping `RenderNamingStrategy` that converts `Column` and `Table` names to lower case using the default `Locale`.

Returns:
  lower-casing `RenderNamingStrategy`.
See Also:
  `String.toLowerCase()`, `Locale`

#### toLower

    public static RenderNamingStrategy toLower(Locale locale)

Creates a mapping `RenderNamingStrategy` that converts `Column` and `Table` names to lower case using the given `Locale`.

Parameters:
  `locale` - the locale to use.
Returns:
  lower-casing `RenderNamingStrategy`.
See Also:
  `String.toLowerCase(Locale)`, `Locale`